﻿class Rotation extends MovieClip {
	var deceleration:Number = 0.2;
	function rotateTo(nRelativeRotation:Number):Void {
		_rotation += nRelativeRotation;
	}
	function getAngle(nX:Number, nY:Number):Number {
		var nRadian:Number = Math.atan2(nY, nX);
		return nRadian/Math.PI*180;
	}
	function onEnterFrame() {
		var nRelativeRotation:Number = getAngle(_xmouse, _ymouse);
		rotateTo(nRelativeRotation*deceleration);
	}
}
